Loading...
Searching...
No Matches
opengv::OptimizationFunctor< _Scalar, NX, NY > Struct Template Reference

`#include <OptimizationFunctor.hpp>`

## Public Types

enum | { InputsAtCompileTime = NX , ValuesAtCompileTime = NY }
typedef _Scalar | Scalar
typedef Matrix< Scalar, InputsAtCompileTime, 1 > | InputType
typedef Matrix< Scalar, ValuesAtCompileTime, 1 > | ValueType
typedef Matrix< Scalar, ValuesAtCompileTime, InputsAtCompileTime > | JacobianType

## Public Member Functions

| OptimizationFunctor ()
| OptimizationFunctor (int inputs, int values)
int | inputs () const
int | values () const

## Public Attributes

const int | m_inputs
const int | m_values

## Detailed Description

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>
struct opengv::OptimizationFunctor< _Scalar, NX, NY >

Generic functor base for use with the Eigen-nonlinear optimization toolbox. Please refer to the Eigen-documentation for further information.

## Member Typedef Documentation

## InputType

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

typedef Matrix<Scalar,InputsAtCompileTime,1> opengv::OptimizationFunctor< _Scalar, NX, NY >::InputType

undocumented

## JacobianType

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

typedef Matrix<Scalar,ValuesAtCompileTime,InputsAtCompileTime> opengv::OptimizationFunctor< _Scalar, NX, NY >::JacobianType

undocumented

## Scalar

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

typedef _Scalar opengv::OptimizationFunctor< _Scalar, NX, NY >::Scalar

undocumented

## ValueType

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

typedef Matrix<Scalar,ValuesAtCompileTime,1> opengv::OptimizationFunctor< _Scalar, NX, NY >::ValueType

undocumented

## Member Enumeration Documentation

## anonymous enum

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

anonymous enum

undocumented

## Constructor & Destructor Documentation

## OptimizationFunctor() [1/2]

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

opengv::OptimizationFunctor< _Scalar, NX, NY >::OptimizationFunctor | ( |  | ) |

inline

undocumented

## OptimizationFunctor() [2/2]

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

opengv::OptimizationFunctor< _Scalar, NX, NY >::OptimizationFunctor | ( | int | inputs,
|  | int | values )

inline

undocumented

## Member Function Documentation

## inputs()

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

int opengv::OptimizationFunctor< _Scalar, NX, NY >::inputs | ( |  | ) | const

inline

undocumented

## values()

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

int opengv::OptimizationFunctor< _Scalar, NX, NY >::values | ( |  | ) | const

inline

undocumented

## Member Data Documentation

## m_inputs

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

const int opengv::OptimizationFunctor< _Scalar, NX, NY >::m_inputs

undocumented

## m_values

template<typename _Scalar, int NX = Dynamic, int NY = Dynamic>

const int opengv::OptimizationFunctor< _Scalar, NX, NY >::m_values

undocumented

The documentation for this struct was generated from the following file:

- include/opengv/OptimizationFunctor.hpp